@charset "UTF-8";

*{
    margin: 0;
    padding: 0;
}

img{
    width: 100%;
    height:100%;
    
}

a{
    display: block;
    text-decoration: none;
    color: black;
}

#wrap{
    width: 100%;
}

/* header*/

header{
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 105px;
    padding: 10px;
    background-image: url(image/pexels-jeffrey-czum-2501965.jpg);
    background-size: cover;
}
header h2{
    width: 100vw;
    text-align: center;
    font-family: 'DotGothic16';
    color: white;
    background-color: rgba(0, 0, 0, 0.5);
    background-size: contain;
}
body{
    background-color: darkgreen;
}
ul{
    width: 100%;
    list-style: none;
    position: absolute;
    top: 105px;
    left: 0;
    z-index: 999;
    display: none;
}
li{
    line-height: 50px;
    background-color: white;
    text-align: center;
}
a:hover{
    background-color: rgba(43, 42, 42, 0.5)
    
}
/* main */

main h2{
    line-height: 50px;
    background-image: url(image/kusa.jpg);
    text-align: center;
    position: relative;
    color: white;
    font-family: 'DotGothic16';
    font-size: medium;
    /*position:absoluteの基準指定*/
}

main section div{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}
main section div p{
    width: 48%;
    height: fit-content;
    overflow: hidden;
}
main section div p :hover{
    display: block;
    border: dashed;
    border-color: grey;
}
main section div p:nth-of-type(-n+2){
    margin-bottom: 10px;
}
/* footer */
footer h2{
    background-image: url(image/kusa.jpg);
    line-height: 50px;
    color: white;
    text-align: center;
    font-family: 'DotGothic16';
}
footer > div{
    display: flex;
    justify-content: space-between;
}
footer div div{
    padding: 20px;
    color: white;
    font-family: 'DotGothic16';
}
footer > div > p{
    width: 100px;
    right: 50px;
}
footer img{
    object-fit: contain;
}
/* MediaQuery 781px以上 */
@media screen and (min-width:781px){
    /* header */

    header{
        background-size: cover;
        background-position: bottom;
    }
    nav p{
        display: none;
    }
    ul{
        display: flex;
        position: static;
    }
    li{
        width: 150px;
        text-align: center;
        background-color: transparent;
    }
    /* main */
    main{
        display: flex;
        flex-wrap: wrap;
    }

    main > div p{
        margin-left: 20px;
        background-color: rgba(255,255,255,0.5);
        width: 500px;
    }
    main section{
        width: 48%;
    }
    main section:first-of-type{
        margin-left: 2%;
    }
    main section:last-of-type{
        margin-right: 2%;
    }
    main section:first-of-type div{
        margin-right: 1%;
    }
    main section:last-of-type div{
        margin-left: 1%;
    }
    /* footer */
    footer{
        background-image: url(image/水面.jpeg);
        background-repeat: no-repeat;
        background-position: right -10px bottom -30px;
        background-size: 50%;      
    }
    footer > div{
        width: 50%;
    }
}

/* scrolltop */
#scrollTop{
    position: fixed;
    bottom: 20px;
    right: 10px;
    font-size: 2em;
}

